## sogo 2.2.17a

=== Documentation/Makefile ===
all: $(patsubst %.asciidoc,%.pdf,$(wildcard *.asciidoc))

%.pdf : %.asciidoc
	asciidoc -a docinfo1 -b docbook -d book -o $<.docbook $<
	fop -c fonts/fop-config.xml -xsl docbook/xsl/sogo-fo.xsl -xml $<.docbook -pdf $@

clean:
	rm *.asciidoc.docbook *.pdf

## sogo 1.3.16

=== debian/changelog ===
sogo (1.3.16-1) unstable; urgency=low

  * New upstream release. (Closes: #677119)
    - 0004-Add-support-for-GnuTLS.patch: Updated to new hashes in 1.3.16.
    - 0007-GNUstep-1.24-fix.patch: Removed, was backported from upstream.
  * Do not assume deluser is available in postrm. (Closes: #678099)
  * Suggest postgresql or mysql-server. (Closes: #678047)
  * Build with hardening
    - 0007-Compile-daemon-as-PIE.patch: Compile the daemon as a PIE.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 30 Jun 2012 02:55:17 +0200

sogo (1.3.15a-2) unstable; urgency=low

  * 0007-GNUstep-1.24-fix.patch:
    - Fix to cope with changes in GNUstep 1.24. (Closes: #675201)
  * Fix the cron.daily job:
    - Delete the directories in a proper way. (Closes: #676161)
    - Test whether tmpreaper is still installed before executing it.
      (Closes: #675238)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Thu, 14 Jun 2012 14:28:31 +0200

sogo (1.3.15a-1) unstable; urgency=low

  * Initial release. (Closes: #584073)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Wed, 23 May 2012 19:17:40 +0200

=== debian/control ===
Source: sogo
Priority: optional
Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 1.3.14), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev
Section: mail
Standards-Version: 3.9.3
Homepage: http://www.sogo.nu/
Vcs-Browser: https://github.com/dekkers/sogo
Vcs-Git: git://github.com/dekkers/sogo.git

Package: sogo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper, sogo-common (= ${source:Version}), adduser, zip
Suggests: postgresql | mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}, ckeditor, libjs-prototype, libjs-jquery, libjs-jquery-ui
Suggests: httpd
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

Package: sogo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), ${misc:Depends}
Description: Scalable groupware server - debugging symbols
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the debugging symbols for SOGo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes

override_dh_auto_configure:
	./configure

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/usr/share/doc/sogo
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
# Remove javascript libraries already packaged by Debian.
	rm -r debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/ckeditor
	dh_link -psogo-common usr/share/javascript/ckeditor usr/share/GNUstep/SOGo/WebServerResources/ckeditor
	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/prototype.js
	dh_link -psogo-common usr/share/javascript/prototype/prototype.js usr/share/GNUstep/SOGo/WebServerResources/prototype.js
	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/jquery.js
	dh_link -psogo-common usr/share/javascript/jquery/jquery.min.js usr/share/GNUstep/SOGo/WebServerResources/jquery.js
	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/jquery-ui.js
	dh_link -psogo-common usr/share/javascript/jquery-ui/jquery-ui.min.js usr/share/GNUstep/SOGo/WebServerResources/jquery-ui.js
# Put arch independent files in /usr/share instead of /usr/lib
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries

override_dh_auto_test:
	make check

override_dh_strip:
	dh_strip --dbg-package=sogo-dbg

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/sogo

=== debian/watch ===
version=2
http://www.sogo.nu/english/downloads/backend.html /files/downloads/SOGo/Sources/SOGo-(.*).tar.gz

## sogo 2.0.5a

=== debian/changelog ===
sogo (2.0.5a-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Thu, 15 Aug 2013 23:13:07 +0200

sogo (2.0.5a-1) unstable; urgency=low

  * New upstream release.
  * Include updated watch file written by Bart Martens.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 06 May 2013 02:04:16 +0200

sogo (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patches applied upstream:
    - 0001-make-check
    - 0002-link-everything-correctly
    - 0003-Read-configuration-from-etc
    - 0004-Add-support-for-GnuTLS
    - 0007-Compile-daemon-as-PIE
  * Fix cronjob error after package removal. (Closes: #682843)
  * Update standards version to 3.9.4.
  * Enable SAML support.
  * Move sogo-backup.sh to /usr/sbin/sogo-backup and change backup
    location to /var/backups/sogo. Also change the locations in the
    cronjob. (Closes: #681797)
  * Use systemd-tmpfiles instead of tmpreaper for systems running
    systemd. (Closes: #677951)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 13 Apr 2013 16:08:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: sogo
 Priority: optional
 Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 1.3.14), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 2.0.5), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev, liblasso3-dev, python-minimal
 Section: mail
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.sogo.nu/
-Vcs-Browser: https://github.com/dekkers/sogo
-Vcs-Git: git://github.com/dekkers/sogo.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/sogo.git
+Vcs-Git: git://git.debian.org/git/collab-maint/sogo.git
 
 Package: sogo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper, sogo-common (= ${source:Version}), adduser, zip
+Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip
 Suggests: postgresql | mysql-server
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,16 @@
 	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
 
 override_dh_auto_configure:
-	./configure
+	./configure --with-ssl=gnutls --enable-saml2
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install
-	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/usr/share/doc/sogo
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
+	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
 	cp Scripts/sogo-default debian/tmp/etc/default/sogo
 	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
+	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
 	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
+	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
 # Remove javascript libraries already packaged by Debian.
 	rm -r debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/ckeditor
 	dh_link -psogo-common usr/share/javascript/ckeditor usr/share/GNUstep/SOGo/WebServerResources/ckeditor

## sogo 2.1.1b

=== debian/changelog ===
sogo (2.1.1b-1) unstable; urgency=medium

  * New upstream release. (Closes: #732189)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 28 Dec 2013 23:15:41 +0100

sogo (2.0.7-2) unstable; urgency=high

  * Do not call make distclean if config.make does not exist, fixes FTBFS
    with latest debhelper. (Closes: #720974)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 26 Aug 2013 20:07:08 +0200

sogo (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Update version of sope build dependency to 2.0.7.
  * Remove patch applied upstream:
    - 0001-Set-SOGoMailSpoolPath-to-var-spool-sogo-by-default

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 13 Aug 2013 20:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sogo
 Priority: optional
 Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 2.0.5), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev, liblasso3-dev, python-minimal
+Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 2.1.1), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev, liblasso3-dev, python-minimal
 Section: mail
 Standards-Version: 3.9.4
 Homepage: http://www.sogo.nu/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --parallel
 
 override_dh_auto_clean:
-	dh_auto_clean
+	[ ! -f config.make ] || $(MAKE) distclean
 	rm -f config.make
 
 override_dh_auto_build:
@@ -49,7 +49,7 @@
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
 
 override_dh_auto_test:
-	make check
+	$(MAKE) check
 
 override_dh_strip:
 	dh_strip --dbg-package=sogo-dbg

## sogo 2.2.5

=== debian/changelog ===
sogo (2.2.5-1ubuntu1) utopic; urgency=medium

  * Default gobjc was not reverted back to 4.8, yet the default compiler
    was. Thus add gobjc-4.8 build-dependency temporally until defaults for
    objc & gcc are back in-sync.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Jun 2014 10:48:43 +0100

sogo (2.2.5-1) unstable; urgency=medium

  * [90b8c6d3] New upstream release
  * [6dc419c5] Update patches
  * [04a02370] Update version of libsope-dev build-depend
  * [010e6b08] Change /etc/sogo/sogo.conf group to sogo and mode to 0640

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 08 Jun 2014 01:47:37 +0200

sogo (2.2.3-1) experimental; urgency=medium

  * [0837e058] New upstream release
  * [9dff26d8] Update patches to new upstream version
  * [40f1ddf6] Update version of libsope-dev build-depends to 2.2.3
  * [770e90c9] Bump Standards version to 3.9.5 (no changes needed)
  * [87c0717d] Change VCS-* fields to their canonical URI
  * [2f95d6d8] Call dh_install with --list-missing --fail-missing
  * [53a018b3] Include tmpfiles.d/sogo.conf in sogo.install
  * [b70eaa27] Add patch to fix warnings from -Werror in OpenChange backend
  * [ea9345a1] Build OpenChange backend, add sogo-openchange package
  * [e71ff33c] Add patch to link correctly against libraries used
  * [a974b2c4] Add upstream patch to fix unit test
  * [4979ec49] Update debian/copyright

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 13 Apr 2014 00:09:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,28 @@
 Source: sogo
 Priority: optional
-Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: debhelper (>= 9), gobjc, libgnustep-base-dev, libsope-dev (>= 2.1.1), libmemcached-dev, libxml2-dev, libsbjson-dev, libgnutls-dev, libldap2-dev, libcurl4-gnutls-dev, liblasso3-dev, python-minimal
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
+Build-Depends: debhelper (>= 9),
+ gobjc,
+ gobjc-4.8,
+ libcurl4-gnutls-dev,
+ libgnustep-base-dev,
+ libgnutls-dev,
+ liblasso3-dev,
+ libldap2-dev,
+ libmapi-dev (>= 1:2.0+git20140329),
+ libmapiproxy-dev (>= 1:2.0+git20140329),
+ libmapistore-dev (>= 1:2.0+git20140329),
+ libmemcached-dev,
+ libsbjson-dev,
+ libsope-dev (>= 2.2.5),
+ libxml2-dev,
+ python-samba
 Section: mail
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.sogo.nu/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sogo.git
-Vcs-Git: git://git.debian.org/git/collab-maint/sogo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sogo.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sogo.git
 
 Package: sogo
 Architecture: any
@@ -48,3 +64,13 @@
  the SOPE application server with focus on scalability.
  .
  This package contains the debugging symbols for SOGo.
+
+Package: sogo-openchange
+Architecture: any
+Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Scalable groupware server - OpenChange backend
+ SOGo is a groupware server built around OpenGroupware.org (OGo) and
+ the SOPE application server with focus on scalability.
+ .
+ This package contains the plugin for using SOGo as a backend to
+ OpenChange.

=== debian/rules ===
--- 
+++ 
@@ -2,22 +2,26 @@
 # -*- makefile -*-
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_clean:
 	[ ! -f config.make ] || $(MAKE) distclean
+	[ ! -f config.make ] ||	$(MAKE) -C OpenChange distclean
 	rm -f config.make
 
 override_dh_auto_build:
 	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
+	$(MAKE) -C OpenChange OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
 
 override_dh_auto_configure:
-	./configure --with-ssl=gnutls --enable-saml2
+	./configure --with-ssl=gnutls --enable-saml2 --prefix=/usr/System
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
+	$(MAKE) -C OpenChange DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
 	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
 	cp Scripts/sogo-default debian/tmp/etc/default/sogo
 	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
@@ -47,6 +51,12 @@
 	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
 	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so.1
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so.1.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/SOGo.so
+
+override_dh_install:
+	dh_install --list-missing --fail-missing
 
 override_dh_auto_test:
 	$(MAKE) check

## sogo 2.2.9+git20141017

=== debian/changelog ===
sogo (2.2.9+git20141017-1) unstable; urgency=medium

  * [6b0ddb8c] New upstream git snapshot 2.2.9+git20141017

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 25 Oct 2014 15:20:57 +0200

sogo (2.2.9+git20141009-1) unstable; urgency=medium

  * [effac894] New upstream git snapshot 2.2.9+git20141009
    (Closes: #754909, #759857)
  * [9890d799] Remove patches merged upstream
  * [035175e6] Update sope and openchange build-depends
  * [118c54a7] Add patch to remove build date from package
  * [c74b2830] Fix short names in copyright file
  * [286ab24c] Use logrotate script from upstream (Closes: #757949)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 13 Oct 2014 16:45:20 +0200

sogo (2.2.5-3) unstable; urgency=medium

  * [a0105ea6] Disable buggy TestVersit unit test. (Closes: #754212)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 08 Jul 2014 21:12:12 +0200

sogo (2.2.5-2) unstable; urgency=medium

  * [7613c6cc] Build-depend on libgnutls28-dev. (Closes: #754171)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 08 Jul 2014 14:20:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: sogo
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
+Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
 Build-Depends: debhelper (>= 9),
  gobjc,
- gobjc-4.8,
  libcurl4-gnutls-dev,
  libgnustep-base-dev,
- libgnutls-dev,
+ libgnutls28-dev,
  liblasso3-dev,
  libldap2-dev,
- libmapi-dev (>= 1:2.0+git20140329),
- libmapiproxy-dev (>= 1:2.0+git20140329),
- libmapistore-dev (>= 1:2.0+git20140329),
+ libmapi-dev (>= 1:2.2),
+ libmapiproxy-dev (>= 1:2.2),
+ libmapistore-dev (>= 1:2.2),
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 2.2.5),
+ libsope-dev (>= 2.2.9),
  libxml2-dev,
  python-samba
 Section: mail

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,11 @@
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
 	$(MAKE) -C OpenChange DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
-	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
+	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
 	cp Scripts/sogo-default debian/tmp/etc/default/sogo
 	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
 	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
+	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
 	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
 	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
 # Remove javascript libraries already packaged by Debian.

=== debian/watch ===
version=3
http://www.sogo.nu/english/downloads/backend.html \
(?:.*/|.*=|)SOGo[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sogo 2.2.17a

=== debian/changelog ===
sogo (2.2.17a-1.1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:53 +0000

sogo (2.2.17a-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove sogo-openchange, as OpenChange is being removed from the
    archive. Closes: #808300

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 18 Dec 2015 13:04:34 +0000

sogo (2.2.17a-1) unstable; urgency=medium

  * [426da082] New upstream release
  * [863f3b94] Update patches
  * [df7d5e92] Update version of libsope-dev build-depend
  * [fb4eeda7] Add patch from upstream git to make building with
    GnuTLS work again
  * [6c854296] Add virtual-mysql-server to suggests as alternative
    (Closes: #781971)
  * [d1bce1f6] Update debian/copyright
  * [552220e8] Add LSB Description field to init script

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 26 Apr 2015 15:23:21 +0200

sogo (2.2.14-1) experimental; urgency=medium

  * [e1c02cf9] New upstream release
  * [2c109af6] Update version of libsope-dev build-depend
  * [fcf9733e] Bump Standards-Version to 3.9.6, no changes needed

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 25 Jan 2015 22:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,12 @@
  libgnutls28-dev,
  liblasso3-dev,
  libldap2-dev,
- libmapi-dev (>= 1:2.2),
- libmapiproxy-dev (>= 1:2.2),
- libmapistore-dev (>= 1:2.2),
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 2.2.9),
- libxml2-dev,
- python-samba
+ libsope-dev (>= 2.2.17),
+ libxml2-dev
 Section: mail
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.sogo.nu/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sogo.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sogo.git
@@ -25,7 +21,7 @@
 Package: sogo
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip
-Suggests: postgresql | mysql-server
+Suggests: postgresql | mysql-server | virtual-mysql-server
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
  the SOPE application server with focus on scalability. It has many
@@ -62,13 +58,3 @@
  the SOPE application server with focus on scalability.
  .
  This package contains the debugging symbols for SOGo.
-
-Package: sogo-openchange
-Architecture: any
-Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Scalable groupware server - OpenChange backend
- SOGo is a groupware server built around OpenGroupware.org (OGo) and
- the SOPE application server with focus on scalability.
- .
- This package contains the plugin for using SOGo as a backend to
- OpenChange.

=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,16 @@
 
 override_dh_auto_clean:
 	[ ! -f config.make ] || $(MAKE) distclean
-	[ ! -f config.make ] ||	$(MAKE) -C OpenChange distclean
 	rm -f config.make
 
 override_dh_auto_build:
 	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
-	$(MAKE) -C OpenChange OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
 
 override_dh_auto_configure:
 	./configure --with-ssl=gnutls --enable-saml2 --prefix=/usr/System
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
-	$(MAKE) -C OpenChange DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
 	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
 	cp Scripts/sogo-default debian/tmp/etc/default/sogo
 	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
@@ -52,9 +49,6 @@
 	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
 	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so.1
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/libMAPIStoreSOGo.so.1.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/mapistore_backends/SOGo.so
 
 override_dh_install:
 	dh_install --list-missing --fail-missing

## sogo 3.2.6

=== debian/changelog ===
sogo (3.2.6-2) unstable; urgency=medium

  * Cherry pick important fixes from the upstream 3.2.6a release.
    - [core] fixed "include in freebusy"
    - [web] improved ACLs handling of inactive users

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Apr 2017 01:52:41 +0200

sogo (3.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Source field in copyright.
  * Use https on all URLs.
  * Bump sope Build-Depends to 3.2.6.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Tue, 24 Jan 2017 00:04:21 +0100

sogo (3.2.5-3) unstable; urgency=medium

  * Fix RuntimeDirectory directive in service file (closes: #851626).

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Jan 2017 13:09:50 +0100

sogo (3.2.5-2) unstable; urgency=medium

  * Add disable_test_rendering.patch to fix a FTBFS caused by a test unit
    known to fail on Big Endian hosts.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jan 2017 23:29:02 +0100

sogo (3.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch Maintainer field to new team address.
    Keep Jeroen Dekkers in Uploaders, and add myself there too.
  * Update Homepage field.
  * Fix watch file to point at new download URL.
  * Bump debhelper compat to v10.
  * Drop dch id-length option from gbp.conf.
  * Recommend memcached and add SOGoMemcachedHost to default config
    (closes: #850724).
  * Tighten the libsope1-dev Build-Depends to >= 3.2.5.
  * Drop gnustep-config workaround patch, it is now fixed upstream.
  * Don't disable TestVersit unit test, it now works as expected.
  * Update the number of expected testsuite failures.
  * Make testsuite failures fatal again.
  * Add source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jan 2017 15:20:43 +0100

sogo (3.2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop creating /var/run via tmpfiles.d, use RuntimeDirectory instead.
  * Use /run/sogo instead of /var/run/sogo.
  * Remove empty sogo.prerm script.
  * Fix path to datepicker elements in copyright.
  * Update changelog.
  * Revert "Update changelog."
  * Fold override_dh_install into override_auto_dh_install.
  * Release to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 04 Jan 2017 10:54:57 +0100

sogo (3.2.4-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - includes fix for CVE-2015-5395: CSRF attack. Closes: #796197
  * Refresh patches.
  * Add python to Build-Depends, to be able to run gen-saml2-exceptions.py.
  * Move to dbgsym package, and ensure migration via dh_strip --ddeb-migration.
  * Make testsuite not fatal, for now. Closes: #827812
  * Update dependency on mysql-server to default-mysql-server. Closes: #848489
  * Add database scripts for upgrades to 3.x to docs.
  * Use the vendored ckeditor for now.
  * Remove js deps that are no longer needed.
  * Update copyright.
  * Add /var/run/sogo to tmpfiles.d file.
  * Add a systemd service based on upstream's.
  * Use secure URLs for Vcs-* and Homepage fields.
  * Add dependency on lsb-base for init script.

 -- Jordi Mallach <jordi@debian.org>  Sun, 01 Jan 2017 05:01:49 +0100

=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 10),
 gobjc,
 libcurl4-gnutls-dev,
 libgnustep-base-dev,
 libgnutls28-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 libsbjson-dev,
 libsope-dev (>= 3.2.6),
 libxml2-dev,
 python
Standards-Version: 3.9.8
Homepage: https://sogo.nu/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sogo.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sogo.git

Package: sogo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6)
Recommends: memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

## sogo 3.2.10

=== debian/changelog ===
sogo (3.2.10-1build1) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Nov 2017 09:03:17 +0000

sogo (3.2.10-1) unstable; urgency=medium

  * New upstream release.
    - now renders S/MIME and PGP signed messages correctly.
  * Remove -DSOGO_BUILD_DATE from $CFLAGS to fix build reproducibility
    (closes: #854541).
  * Bump libsope1-dev Build-Dep to 3.2.10.
  * Remove full text of MPL-1.1 and refer to common-licenses.
  * Update Standards-Version to 4.0.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 21 Jul 2017 02:46:15 +0200

sogo (3.2.9-2) unstable; urgency=medium

  * Upload to unstable.
  * Add Scripts/mysql-utf8mb4.sql to docs.
  * Add SOGo asciidoc files to distributed documentation.
  * Add a note about the lack of database autoconfig to README.
  * Promote memcached from Recommends to Depends.

 -- Jordi Mallach <jordi@debian.org>  Sat, 24 Jun 2017 02:47:10 +0200

sogo (3.2.9-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump libsope1-dev Build-Dep to 3.2.9.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 May 2017 19:06:49 +0200

sogo (3.2.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump sope Build-Depends to 3.2.8.
  * Drop patches cherrypicked from 3.2.6a.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2017 03:14:23 +0200

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,17 @@
  libldap2-dev,
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 3.2.6),
+ libsope-dev (>= 3.2.10),
  libxml2-dev,
  python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sogo.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sogo.git
 
 Package: sogo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6)
-Recommends: memcached
+Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
 Suggests: postgresql | default-mysql-server | virtual-mysql-server
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](3.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sogo 4.0.1

=== debian/changelog ===
sogo (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root to no.
  * Update Standards-Verson to 4.1.5.
  * Bump libsope1-dev Build-Dep to 4.0.1.
  * Add patch cherry-picked from upstream git to void displaying
    empty signed emails when using GnuTLS.
  * Update source lintian-overrides.
  * Remove leftover file from the sogo-openchange package.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Aug 2018 11:40:56 +0200

sogo (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Watch for 4.x versions.
  * Adapt patch for removed OpenChange support.
  * Update expected number of testsuite failures to 4.
  * Bump libsope1-dev Build-Dep to 4.0.0.
  * Update Standards-Version to 4.1.3.
  * Bump debhelper compat to v11.
  * Remove unneeded --parallel dh argument for v11.
  * Add database upgrade scripts for 4.0.0.
  * Update Vcs-* fields after migration to Salsa.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2018 03:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
  gobjc,
  libcurl4-gnutls-dev,
  libgnustep-base-dev,
@@ -13,13 +13,14 @@
  libldap2-dev,
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 3.2.10),
+ libsope-dev (>= 4.0.1),
  libxml2-dev,
  python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Homepage: https://sogo.nu/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sogo.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sogo.git
+Vcs-Browser: https://salsa.debian.org/debian/sogo
+Vcs-Git: https://salsa.debian.org/debian/sogo.git
+Rules-Requires-Root: no
 
 Package: sogo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f config.make ] || $(MAKE) distclean
@@ -26,15 +26,6 @@
 	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
 	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
 	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
-# Remove javascript libraries already packaged by Debian.
-	rm -r debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/ckeditor
-	dh_link -psogo-common usr/share/javascript/ckeditor usr/share/GNUstep/SOGo/WebServerResources/ckeditor
-	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/prototype.js
-	dh_link -psogo-common usr/share/javascript/prototype/prototype.js usr/share/GNUstep/SOGo/WebServerResources/prototype.js
-	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/jquery.js
-	dh_link -psogo-common usr/share/javascript/jquery/jquery.min.js usr/share/GNUstep/SOGo/WebServerResources/jquery.js
-	rm debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources/jquery-ui.js
-	dh_link -psogo-common usr/share/javascript/jquery-ui/jquery-ui.min.js usr/share/GNUstep/SOGo/WebServerResources/jquery-ui.js
 # Put arch independent files in /usr/share instead of /usr/lib
 	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
 	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
@@ -49,15 +40,13 @@
 	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
 	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
-
-override_dh_install:
-	dh_install --list-missing --fail-missing
+	dh_install --fail-missing
 
 override_dh_auto_test:
 	$(MAKE) check
 
 override_dh_strip:
-	dh_strip --dbg-package=sogo-dbg
+	dh_strip --ddeb-migration='sogo-dbg (<< 3.2.4-0.1~)'
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/sogo

## sogo 4.0.2

=== debian/changelog ===
sogo (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix_gnutls_signed_emails.patch, included upstream.
  * Bump libsope1-dev Build-Dep to 4.0.2.
  * Update Standards-Version to 4.2.1.
  * Remove dh_strip override, as the dbgsym migration is complete.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Fri, 07 Sep 2018 01:36:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  libldap2-dev,
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 4.0.1),
+ libsope-dev (>= 4.0.2),
  libxml2-dev,
  python
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,5 @@
 override_dh_auto_test:
 	$(MAKE) check
 
-override_dh_strip:
-	dh_strip --ddeb-migration='sogo-dbg (<< 3.2.4-0.1~)'
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/sogo

## sogo 4.0.3

=== debian/changelog ===
sogo (4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove unneeded override for dh_auto_test.
  * Bump libsope1-dev Build-Dep to 4.0.3.
  * Update source lintian-overrides.
  * Add patch to fix FTBFS due to a "#elseif" typo.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Oct 2018 02:44:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,5 @@
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
 	dh_install --fail-missing
 
-override_dh_auto_test:
-	$(MAKE) check
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/sogo

## sogo 4.0.4

=== debian/changelog ===
sogo (4.0.4-2) unstable; urgency=medium

  * Do not pass --prefix to configure (closes: #897586).

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Dec 2018 23:44:11 +0100

sogo (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches from 4.0.3, now included upstream.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Oct 2018 22:55:49 +0200

sogo (4.0.3-2) unstable; urgency=medium

  * Add patch fix_time_conflict_validation (from upstream git) to fix
    FreeBusy information when a user is not the owner of a calendar.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Oct 2018 10:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libldap2-dev,
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 4.0.2),
+ libsope-dev (>= 4.0.3),
  libxml2-dev,
  python
 Standards-Version: 4.2.1

## sogo 4.0.5

=== debian/changelog ===
sogo (4.0.5-3) unstable; urgency=medium

  * Add patch from upstream bugtracker to fix display of mail.
    Many thanks to Onur Tolga Sehitoglu (closes: #920423).

 -- Jordi Mallach <jordi@debian.org>  Tue, 12 Feb 2019 00:46:53 +0100

sogo (4.0.5-2) unstable; urgency=medium

  * Add patch to not use OpenSSL when we are configured to use GnuTLS
    (closes: #914524).
  * Add patch to unset MAKEFLAGS and MFLAGS in configure.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 15 Jan 2019 10:14:20 +0100

sogo (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Define upstream-vcs-tag and upstream-branch options.
  * Update Standards-Version to 4.3.0.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jan 2019 10:45:18 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libsope-dev (>= 4.0.3),
  libxml2-dev,
  python
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git

## sogo 4.0.7

=== debian/changelog ===
sogo (4.0.7-1+deb10u2) buster-security; urgency=high

  * [CVE-2021-33054] fixes validation of SAML message signatures
    (closes: #989479)

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Nov 2021 22:36:02 +0100

sogo (4.0.7-1+deb10u1) buster; urgency=medium

  * Omit signedViewer altogether when not using openssl.
    Thanks Hanno Stock <hanno.stock@indurad.com> for the patch.
    (Closes: #889994)
  * Set debian-branch to buster in gbp.conf.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Aug 2019 14:19:34 +0200

sogo (4.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix stop and restart operations in init script. (Closes: #923421)
  * Mark sogo-common as M-A: foreign.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 28 Feb 2019 01:43:48 +0100

sogo (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope1-dev Build-Dep to 4.0.6.
  * Remove patch to fix exception, fix included in SOPE 4.0.6.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2019 13:43:25 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libldap2-dev,
  libmemcached-dev,
  libsbjson-dev,
- libsope-dev (>= 4.0.3),
+ libsope-dev (>= 4.0.6),
  libxml2-dev,
  python
 Standards-Version: 4.3.0
@@ -45,6 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: httpd
+Multi-Arch: foreign
 Description: Scalable groupware server - common files
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
  the SOPE application server with focus on scalability.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
 
 override_dh_auto_configure:
-	./configure --with-ssl=gnutls --enable-saml2 --prefix=/usr/System
+	./configure --with-ssl=gnutls --enable-saml2
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install

## sogo 4.0.8

=== debian/changelog ===
sogo (4.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update source lintian-overrides.
  * Omit signedViewer altogether when not using openssl.
    Thanks Hanno Stock <hanno.stock@indurad.com> for the patch.

 -- Jordi Mallach <jordi@debian.org>  Wed, 31 Jul 2019 10:54:23 +0200

## sogo 4.3.0

=== Documentation/Makefile ===
all: $(patsubst %.asciidoc,%.pdf,$(wildcard *.asciidoc))

%.pdf : %.asciidoc
	asciidoc -a docinfo1 -b docbook -d book -o $<.docbook $<
	xsltproc -o $<.fo docbook/xsl/sogo-fo.xsl $<.docbook
	fop -c fonts/fop-config.xml $<.fo -pdf $@

clean:
	rm -f *.asciidoc.fo *.asciidoc.docbook *.pdf

=== debian/changelog ===
sogo (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3.patch to make gen-saml2-exceptions.py python3 compatible.
  * Switch Build-Depends to python3 (closes: #943277).
  * Update Standards-Version to 4.5.0.
  * Drop NEWS, which has been renamed to CHANGELOG.md.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Feb 2020 13:14:02 +0100

sogo (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete override for dh_mkshlibdeps.
  * Revert changes to cron.daily script (closes: #944023)

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Nov 2019 12:03:35 +0100

sogo (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat v12, using debhelper-compat B-D.
  * Update to Standards-Version 4.4.1.
  * Refresh sogo.init and sogo.cron.daily from upstream versions.
  * Do not pass --fail-missing to dh_install.
  * Update source lintian overrides.
  * Drop references to OpenChange, which is gone from sources.
  * Add Pre-Depends: ${misc:Pre-Depends} as suggested by lintian.

 -- Jordi Mallach <jordi@debian.org>  Thu, 31 Oct 2019 12:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  gobjc,
  libcurl4-gnutls-dev,
  libgnustep-base-dev,
@@ -15,8 +15,8 @@
  libsbjson-dev,
  libsope-dev (>= 4.0.6),
  libxml2-dev,
- python
-Standards-Version: 4.3.0
+ python3
+Standards-Version: 4.5.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git
@@ -24,6 +24,7 @@
 
 Package: sogo
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
 Suggests: postgresql | default-mysql-server | virtual-mysql-server
 Description: Scalable groupware server

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,4 @@
 	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
 	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
 	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
-	dh_install --fail-missing
-
-override_dh_shlibdeps:
-	dh_shlibdeps -l/usr/lib/sogo
+	dh_install

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](4.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
